
Redmine - Feature #674

Compare revisions

2008-02-15 22:20 - Liang Jin

Status: Closed Start date: 2008-02-15

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Redmine currently can only view the changeset for certain revisions but cannot display the changes from one version to the other.

Comparing versions will be very useful for source control. Trac has a feature like this, for example:

http://trac.edgewall.org/changeset?new=trunk%406512&old=trunk%406503

For subversion, it is basically the following command:

svn diff -r 6503:6512 trunk

History

#1 - 2008-02-19 09:24 - Thomas Lecavelier

In effect, that's a desirable feature. This shouldn't be too difficult to implement it (maybe I'll find the time to work on it ;) ).

#2 - 2008-02-19 09:28 - Liang Jin

Thanks for the comment. It is a very important feature that I commonly use in Trac. It is very easy to get a list of changed files (added or deleted)

between two versions.

#3 - 2010-05-24 18:42 - Andy Bolstridge

There is a code review plugin that allows you to view code changes (and annotate them). Its very nice.

http://www.r-labs.org/projects/r-labs/wiki/Code_Review_en

#4 - 2010-07-07 13:43 - Holger Just

- Status changed from New to Closed

- Resolution set to Fixed

In the 0.9-stable branch and current trunk, you can already compare any two revisions.

#5 - 2010-07-07 13:44 - Holger Just

- % Done changed from 0 to 100
